---
title: llarp::dns::SRVData

---

# llarp::dns::SRVData





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[SRVData](Classes/classllarp_1_1dns_1_1SRVData.md#function-srvdata)**(SRVTuple tup) |
| | **[SRVData](Classes/classllarp_1_1dns_1_1SRVData.md#function-srvdata)**(std::string_view str) |
| | **[SRVData](Classes/classllarp_1_1dns_1_1SRVData.md#function-srvdata)**() =default |
| | **[SRVData](Classes/classllarp_1_1dns_1_1SRVData.md#function-srvdata)**(const [SRVData](Classes/classllarp_1_1dns_1_1SRVData.md) & ) =default |
| | **[SRVData](Classes/classllarp_1_1dns_1_1SRVData.md#function-srvdata)**([SRVData](Classes/classllarp_1_1dns_1_1SRVData.md) && ) =default |
| [SRVData](Classes/classllarp_1_1dns_1_1SRVData.md) & | **[operator=](Classes/classllarp_1_1dns_1_1SRVData.md#function-operator=)**([SRVData](Classes/classllarp_1_1dns_1_1SRVData.md) && ) =default |
| [SRVData](Classes/classllarp_1_1dns_1_1SRVData.md) & | **[operator=](Classes/classllarp_1_1dns_1_1SRVData.md#function-operator=)**(const [SRVData](Classes/classllarp_1_1dns_1_1SRVData.md) & ) =default |
| bool | **[valid](Classes/classllarp_1_1dns_1_1SRVData.md#function-valid)**() const |
| SRVTuple | **[to_tuple](Classes/classllarp_1_1dns_1_1SRVData.md#function-to-tuple)**() const |
| bool | **[operator<](Classes/classllarp_1_1dns_1_1SRVData.md#function-operator<)**(const [SRVData](Classes/classllarp_1_1dns_1_1SRVData.md) & other) const<br>so we can put [SRVData](Classes/classllarp_1_1dns_1_1SRVData.md) in a std::set  |
| bool | **[operator==](Classes/classllarp_1_1dns_1_1SRVData.md#function-operator==)**(const [SRVData](Classes/classllarp_1_1dns_1_1SRVData.md) & other) const |
| bool | **[BEncode](Classes/classllarp_1_1dns_1_1SRVData.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * ) const |
| bool | **[BDecode](Classes/classllarp_1_1dns_1_1SRVData.md#function-bdecode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * ) |
| util::StatusObject | **[ExtractStatus](Classes/classllarp_1_1dns_1_1SRVData.md#function-extractstatus)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::string | **[service_proto](Classes/classllarp_1_1dns_1_1SRVData.md#variable-service-proto)**  |
| uint16_t | **[priority](Classes/classllarp_1_1dns_1_1SRVData.md#variable-priority)**  |
| uint16_t | **[weight](Classes/classllarp_1_1dns_1_1SRVData.md#variable-weight)**  |
| uint16_t | **[port](Classes/classllarp_1_1dns_1_1SRVData.md#variable-port)**  |
| std::string | **[target](Classes/classllarp_1_1dns_1_1SRVData.md#variable-target)**  |

## Public Functions Documentation

### function SRVData

```cpp
explicit SRVData(
    SRVTuple tup
)
```


### function SRVData

```cpp
explicit SRVData(
    std::string_view str
)
```


### function SRVData

```cpp
SRVData() =default
```


### function SRVData

```cpp
SRVData(
    const SRVData & 
) =default
```


### function SRVData

```cpp
SRVData(
    SRVData && 
) =default
```


### function operator=

```cpp
SRVData & operator=(
    SRVData && 
) =default
```


### function operator=

```cpp
SRVData & operator=(
    const SRVData & 
) =default
```


### function valid

```cpp
bool valid() const
```


### function to_tuple

```cpp
SRVTuple to_tuple() const
```


### function operator<

```cpp
bool operator<(
    const SRVData & other
) const
```

so we can put [SRVData](Classes/classllarp_1_1dns_1_1SRVData.md) in a std::set 

### function operator==

```cpp
bool operator==(
    const SRVData & other
) const
```


### function BEncode

```cpp
bool BEncode(
    llarp_buffer_t * 
) const
```


### function BDecode

```cpp
bool BDecode(
    llarp_buffer_t * 
)
```


### function ExtractStatus

```cpp
util::StatusObject ExtractStatus() const
```


## Public Attributes Documentation

### variable service_proto

```cpp
std::string service_proto;
```


### variable priority

```cpp
uint16_t priority;
```


### variable weight

```cpp
uint16_t weight;
```


### variable port

```cpp
uint16_t port;
```


### variable target

```cpp
std::string target;
```


-------------------------------

Updated on 2023-03-09 at 21:57:14 +0000